Bug 532601 - kpackagekit keeps asking me if I want to install an unsigned package
kpackagekit keeps asking me if I want to install an unsigned package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-02 18:07 EST by Frédéric Buclin
Modified: 2010-12-03 22:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:32:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frédéric Buclin 2009-11-02 18:07:09 EST
Description of problem:
While trying to update F12 beta, kpackagekit keeps asking me if I want to install an unsigned package. I say "yes", and it asks me again and again the same question, even when I only select a single package with no dependencies to update.

I understand that it asks me once per unsigned package (though a "yes for all" would be less painful), but as I selected only one package, it should asks me only once too, not indefinitely (> 5-10 times, then I gave up).

A workaround is to not check for signatures, as it's still a beta version, but it should work in this specific case anyway, i.e. clicking "yes, continue" shouldn't enter a loop.


Version-Release number of selected component (if applicable):
Linux libra 2.6.31.1-56.fc12.i686.PAE #1 SMP Tue Sep 29 16:16:16 EDT 2009 i686 i686 i386 GNU/Linux

kpackagekit-0.5.0.2-1.fc12.i686


How reproducible:
Always
Comment 1 Steven M. Parrish 2009-11-02 18:45:06 EST
kpackagekit-0.5.0.3 will soon be available in Rawhide.  Try it and let me know if the problem persists.
Comment 2 Bug Zapper 2009-11-16 09:56:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-11-04 02:52:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 22:32:16 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.